org.codehaus.groovy.classgen

## Class BytecodeInstruction

- java.lang.Object
- - org.codehaus.groovy.classgen.BytecodeInstruction

-     public abstract class BytecodeInstruction
      extends java.lang.Object

  Helper class used by the class generator. Usually an inner class is produced, that contains bytecode creation code in the visit method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytecodeInstruction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `visit(org.objectweb.asm.MethodVisitor mv)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytecodeInstruction

          public BytecodeInstruction()

  - ### Method Detail

    - #### visit

          public abstract void visit(org.objectweb.asm.MethodVisitor mv)